summary refs log tree commit diff
path: root/import.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2016-04-06 20:53:14 -0400
committerJune McEnroe <june@causal.agency>2016-04-06 20:53:14 -0400
commit0be154c654ef425a33b6f129b8747fabdfa17e2e (patch)
tree1b27d464448ed2a0d8577f6554aea7ed88a40b92 /import.sh
parentAdd gpg-agent to README (diff)
downloadsrc-0be154c654ef425a33b6f129b8747fabdfa17e2e.tar.gz
src-0be154c654ef425a33b6f129b8747fabdfa17e2e.zip
Simplify install script
Diffstat (limited to 'import.sh')
-rwxr-xr-ximport.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/import.sh b/import.sh
index f1cc0e37..66dde777 100755
--- a/import.sh
+++ b/import.sh
@@ -2,7 +2,7 @@
 
 # Import a file from ~ and replace it with a symlink.
 
-set -e
+set -o errexit -o nounset -o pipefail
 
 error() {
   echo "$1"
@@ -20,3 +20,4 @@ dest_path="$PWD/$1"
 mkdir -p "$(dirname "$dest_path")"
 mv "$source_path" "$dest_path"
 ln -s "$dest_path" "$source_path"
+echo "link $1" >> install.sh